/*
** <admxrc2/combuff.h> - Defines functions for ADMXRC2 API Physical DMA
**                       extension.
**
** (C) Copyright 2006 Alpha Data Parallel Systems Ltd.
*/

#ifndef _ADATA_ADMXRC2_PHYSDMA_H
#define _ADATA_ADMXRC2_PHYSDMA_H

#if !defined(_WIN32)
# error ADMXRC2 Physical DMA API extension is currently supported only for Win32 target operating system.
#endif

#include <admxrc2.h>
#include <admxrc2/physdmas.h>

#ifdef __cplusplus
extern "C" {
#endif

ADMXRC2_EXPORT ADMXRC2_STATUS
ADMXRC2_CALLING_CONVENTION
ADMXRC2_DoDMAPhysical(
  ADMXRC2_HANDLE        hCard,
  ADMXRC2_PHYSDMA_DESC* pBufferDescriptors, /* Pointer to array of buffer descriptors */
  unsigned long         numDescriptor,      /* Number of elements at 'phBufferDescriptor' */
  ADMXRC2_DMADIR        direction,
  unsigned int          dmaChannel,
  _ADMXRC2_UINT32       dmaMode,
  _ADMXRC2_UINT32       flags,
  unsigned long*        pTimeout,
  _ADMXRC2_EVENT_HANDLE hEvent);

#ifdef __cplusplus
} 
#endif

#endif
