/*
** <admxrc2/physdmas.h> - Structures supporting ADMXRC2 API Physical DMA
**                        extension.
**
** (C) Copyright 2006-2014 Alpha Data Parallel Systems Ltd.
*/

#ifndef _ADATA_ADMXRC2_PHYSDMAS_H
#define _ADATA_ADMXRC2_PHYSDMAS_H

#if !defined(_WIN32)
# error ADMXRC2 Physical DMA API extension is currently supported only for Win32 target operating system.
#endif

typedef struct _ADMXRC2_PHYSDMA_DESC {
  _ADMXRC2_UINT32 PciLow;  /* PCI address of buffer                            */
  _ADMXRC2_UINT32 PciHigh; /* Must be zero                                     */
  _ADMXRC2_UINT32 Local;   /* Application space virtual base address of buffer */
  _ADMXRC2_UINT32 Length;  /* Number of bytes to transfer in this block        */
} ADMXRC2_PHYSDMA_DESC;

/*
** ADMXRC2_DoDMAPhysical() flags
*/
#define ADMXRC2_DMAFLAG_CIRCULAR  (0x1 << 0)

#endif
